Subject: Re: bug#32093: 27.0.50; M-x grep appends /dev/null to command line

From: David Kastrup <[email-masked]>
Date: Sun, 08 Jul 2018 11:53:37 +0200

Michael Albinus <[email-masked]> writes:

> David Kastrup <[email-masked]> writes:
>
>> I did not ask for /dev/null to be appended to the command line, and
>> previous incantations didn't do it.  Obviously, not all grep-kind
>> programs are happy about that change.
>
> grep-use-null-device is a variable defined in ‘grep.el’.
> Its value is ‘auto-detect’
>
> Documentation:
> If t, append the value of ‘null-device’ to ‘grep’ commands.
> This is done to ensure that the output of grep includes the filename of
> any match in the case where only a single file is searched, and is not
> necessary if the grep program used supports the ‘-H’ option.
>
> In interactive usage, the actual value of this variable is set up
> by ‘grep-compute-defaults’; to change the default value, use
> Customize or call the function ‘grep-apply-setting’.
>
> You can customize this variable.

So you are saying there is a bug workaround that will tie me into using
one grep-like command in future, ever.  Because obviously in my case
auto detection failed.

-- 
David Kastrup